Debian Bug report logs - #569135
xserver-xorg-video-intel: corruption on external VGA display

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Christophe Rhodes <csr21@cantab.net>

Date: Wed, 10 Feb 2010 09:30:02 UTC

Severity: normal

Tags: fixed-upstream

Found in versions linux-2.6/2.6.32-35, 2.6.32-9

Fixed in versions linux-2.6/2.6.36~rc5-1~experimental.1, 2.6.36-1

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#569135; Package xserver-xorg-video-intel. (Wed, 10 Feb 2010 09:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Rhodes <csr21@cantab.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 10 Feb 2010 09:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christophe Rhodes <csr21@cantab.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-intel: corruption on external VGA display
Date: Wed, 10 Feb 2010 09:27:54 +0000
Package: xserver-xorg-video-intel
Version: 2:2.9.1-2
Severity: normal

Hi,

With the update to 2.9.1-2 (I believe from the version _before_ 2.9.1-1, but I
can't be sure), using an external display (projector or monitor) is no longer
possible, because the external display (only, not the LVDS display in my X40
Thinkpad) does not update correctly.  It's a bit difficult to describe the
symptom; if nothing at all changes on either display, then both screens
display what they ought to; however, any change in the displayed graphics
(for example, by moving the mouse cursor, or going from one slide to the next)
causes of the order of one or two seconds of garbled output on the external
display before it settles down.

I suspect the upgrade of this package is at fault, but I can't actually verify
that; I tried turning off KMS in /etc/modprobe.d/i915-kms.conf, but that gives
me a blank screen on boot.

Please let me know if there's any thing else I should try to help resolve this.

Best,

Christophe

-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Nov  6  2006 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1710344 Jan 20 23:01 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 3376 Sep 20 17:51 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/X11R6/lib/X11/fonts/misc"
	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/X11R6/lib/X11/fonts/cyrillic"
	FontPath	"/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/X11R6/lib/X11/fonts/Type1"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc101"
	Option		"XkbLayout"	"gb"
	Option		"XkbOptions"	"ctrl:nocaps"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "InputDevice"
	Identifier	"Synaptics Touchpad"
	Driver		"synaptics"
	Option		"SendCoreEvents"	"true"
	Option		"Device"		"/dev/psaux"
	Option		"Protocol"		"auto-dev"
	Option		"HorizScrollDelta"	"0"
EndSection

Section "Device"
	Identifier	"Intel Corporation 82852/855GM Integrated Graphics Device"
	Driver		"intel"
	BusID		"PCI:0:2:0"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	Option		"DPMS"
	HorizSync	28-61
	VertRefresh	43-60
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"Intel Corporation 82852/855GM Integrated Graphics Device"
	Monitor		"Generic Monitor"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1024x768" "800x600" "640x480"
                Virtual         2048 1024
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
	InputDevice	"Synaptics Touchpad"
EndSection

Section "DRI"
	Mode	0666
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 71181 Jul 30  2007 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 23797 Jan  1 18:21 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 26540 Feb  9 19:55 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.4
Release Date: 2010-01-08
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-trunk-686 i686 Debian
Current Operating System: Linux omega 2.6.32-trunk-686 #1 SMP Sun Jan 10 06:32:16 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-trunk-686 root=UUID=408abe9e-7410-46f8-bf91-faea6ec38fac ro acpi_sleep=s3_bios quiet
Build Date: 20 January 2010  10:52:55PM
xorg-server 2:1.7.4-2 (bgoglin@debian.org) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Feb  9 13:37:51 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Generic Monitor"
(**) |   |-->Device "Intel Corporation 82852/855GM Integrated Graphics Device"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(**) |-->Input Device "Synaptics Touchpad"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/misc".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/misc").
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/cyrillic" does not exist.
	Entry deleted from font path.
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/100dpi/".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/100dpi/").
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/75dpi/".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/75dpi/").
(WW) The directory "/usr/X11R6/lib/X11/fonts/Type1" does not exist.
	Entry deleted from font path.
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/100dpi".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/100dpi").
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/75dpi".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/75dpi").
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Generic Keyboard
(WW) Disabling Configured Mouse
(II) Loader magic: 0x81e7680
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:0:2:0) 8086:3582:1014:0557 Intel Corporation 82852/855GM Integrated Graphics Device rev 2, Mem @ 0xe0000000/134217728, 0xd0000000/524288, I/O @ 0x00001800/8
(--) PCI: (0:0:2:1) 8086:3582:1014:0557 Intel Corporation 82852/855GM Integrated Graphics Device rev 2, Mem @ 0xe8000000/134217728, 0xd0080000/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded by default.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded by default.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri2" will be loaded by default.
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules/libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 2.9.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 1.2.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, Clarkdale, Arrandale
(II) Primary Device is: PCI 00@00:02:0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(**) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) 855GME
(--) intel(0): Chipset: "852GM/855GM"
(II) intel(0): Output VGA1 using monitor section Generic Monitor
(II) intel(0): Output LVDS1 has no monitor section
(II) intel(0): found backlight control interface /sys/class/backlight/thinkpad_screen
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Not using default mode "320x175" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x200" (doublescan mode not supported)
(II) intel(0): Not using default mode "360x200" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "1024x768" (interlace mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1792x1344" (height too large for virtual size)
(II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
(II) intel(0): Not using default mode "1792x1344" (height too large for virtual size)
(II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
(II) intel(0): Not using default mode "1856x1392" (height too large for virtual size)
(II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
(II) intel(0): Not using default mode "1856x1392" (height too large for virtual size)
(II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "416x312" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1080" (height too large for virtual size)
(II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1024x768"x50.0   54.17  1024 1048 1184 1344  768 771 777 806 (40.3 kHz)
(II) intel(0): Modeline "1024x768"x85.0   94.50  1024 1072 1168 1376  768 769 772 808 +hsync +vsync (68.7 kHz)
(II) intel(0): Modeline "1024x768"x75.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1024x768"x70.1   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "832x624"x74.6   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz)
(II) intel(0): Modeline "800x600"x85.1   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x85.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x85.0   35.50  720 756 828 936  400 401 404 446 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x400"x85.1   31.50  640 672 736 832  400 401 404 445 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz)
(II) intel(0): Output VGA1 disconnected
(II) intel(0): Output LVDS1 connected
(II) intel(0): Using user preference for initial modes
(II) intel(0): Output LVDS1 using initial mode 1024x768
(II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(==) Depth 24 pixmap format is 32 bpp
(II) intel(0): [DRI2] Setup complete
(**) intel(0): Kernel mode setting active, disabling FBC.
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(==) intel(0): VideoRam: 131072 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): Tiled allocation successful.
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): No memory allocations
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(**) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder disabled
(WW) intel(0): Disabling Xv because no adaptors could be initialized.
(II) intel(0): direct rendering: DRI2 Enabled
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
record: RECORD extension enabled at configure time.
record: This extension is known to be broken, disabling extension now..
record: http://bugs.freedesktop.org/show_bug.cgi?id=20500
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_make_current_read
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
(II) AIGLX: Loaded and initialized /usr/lib/dri/i915_dri.so
(II) GLX: Initialized DRI2 GL provider for screen 0
(II) intel(0): Setting screen physical size to 270 x 203
(II) intel(0): Allocate new frame buffer 1024x768 stride 1024
(II) Synaptics touchpad driver version 1.2.1
Synaptics Touchpad no synaptics event device found
(**) Option "Device" "/dev/psaux"
(**) Option "HorizScrollDelta" "0"
Query no Synaptics: 6003C8
(--) Synaptics Touchpad: no supported touchpad found
(EE) Synaptics Touchpad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "Synaptics Touchpad"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device "Power Button" (/dev/input/event3)
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) "Power Button": always reports core events
(**) "Power Button": Device: "/dev/input/event3"
(II) "Power Button": Found keys
(II) "Power Button": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Power Button"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) config/udev: Adding input device "Video Bus" (/dev/input/event4)
(**) "Video Bus": always reports core events
(**) "Video Bus": Device: "/dev/input/event4"
(II) "Video Bus": Found keys
(II) "Video Bus": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Video Bus"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) config/udev: Adding input device "Sleep Button" (/dev/input/event2)
(**) "Sleep Button": always reports core events
(**) "Sleep Button": Device: "/dev/input/event2"
(II) "Sleep Button": Found keys
(II) "Sleep Button": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Sleep Button"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) config/udev: Adding input device "AT Translated Set 2 keyboard" (/dev/input/event0)
(**) "AT Translated Set 2 keyboard": always reports core events
(**) "AT Translated Set 2 keyboard": Device: "/dev/input/event0"
(II) "AT Translated Set 2 keyboard": Found keys
(II) "AT Translated Set 2 keyboard": Configuring as keyboard
(II) XINPUT: Adding extended input device ""AT Translated Set 2 keyboard"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) config/udev: Adding input device "TPPS/2 IBM TrackPoint" (/dev/input/event6)
(**) "TPPS/2 IBM TrackPoint": always reports core events
(**) "TPPS/2 IBM TrackPoint": Device: "/dev/input/event6"
(II) "TPPS/2 IBM TrackPoint": Found 3 mouse buttons
(II) "TPPS/2 IBM TrackPoint": Found relative axes
(II) "TPPS/2 IBM TrackPoint": Found x and y relative axes
(II) "TPPS/2 IBM TrackPoint": Configuring as mouse
(**) "TPPS/2 IBM TrackPoint": YAxisMapping: buttons 4 and 5
(**) "TPPS/2 IBM TrackPoint": EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device ""TPPS/2 IBM TrackPoint"" (type: MOUSE)
(**) "TPPS/2 IBM TrackPoint": (accel) keeping acceleration scheme 1
(**) "TPPS/2 IBM TrackPoint": (accel) acceleration profile 0
(II) "TPPS/2 IBM TrackPoint": initialized for relative axes.
(II) config/udev: Adding input device "TPPS/2 IBM TrackPoint" (/dev/input/mouse0)
(**) "TPPS/2 IBM TrackPoint": always reports core events
(**) "TPPS/2 IBM TrackPoint": Device: "/dev/input/mouse0"
(EE) ioctl EVIOCGNAME failed: Inappropriate ioctl for device
(II) UnloadModule: "evdev"
(EE) PreInit returned NULL for ""TPPS/2 IBM TrackPoint""
(II) config/udev: Adding input device "ThinkPad Extra Buttons" (/dev/input/event7)
(**) "ThinkPad Extra Buttons": always reports core events
(**) "ThinkPad Extra Buttons": Device: "/dev/input/event7"
(II) "ThinkPad Extra Buttons": Found keys
(II) "ThinkPad Extra Buttons": Configuring as keyboard
(II) XINPUT: Adding extended input device ""ThinkPad Extra Buttons"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) intel(0): Allocate new frame buffer 2048x768 stride 2048
(II) intel(0): Allocate new frame buffer 1024x768 stride 1024
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) Open ACPI successful (/var/run/acpid.socket)
(II) AIGLX: Resuming AIGLX clients after VT switch
(II) intel(0): No memory allocations
(II) "Power Button": Device reopened after 1 attempts.
(II) "Video Bus": Device reopened after 1 attempts.
(II) "Sleep Button": Device reopened after 1 attempts.
(II) "AT Translated Set 2 keyboard": Device reopened after 1 attempts.
(II) "TPPS/2 IBM TrackPoint": Device reopened after 1 attempts.
(II) "ThinkPad Extra Buttons": Device reopened after 1 attempts.

udev information:
P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:64 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1/event1
N: input/event1
S: char/13:65
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=IBM
E: DEVLINKS=/dev/char/13:65

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:66
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:67
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:68
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

P: /devices/platform/pcspkr/input/input5/event5
N: input/event5
S: char/13:69
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=IBM
E: DEVLINKS=/dev/char/13:69 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/platform/i8042/serio1/input/input6/event6
N: input/event6
S: char/13:70
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: x11_driver=evdev
E: DMI_VENDOR=IBM
E: DEVLINKS=/dev/char/13:70 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/virtual/input/input7/event7
N: input/event7
S: char/13:71
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:71
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

DRM Information from dmesg:
[    1.430891] Linux agpgart interface v0.103
[    1.447178] agpgart-intel 0000:00:00.0: Intel 855GM Chipset
[    1.447987] agpgart-intel 0000:00:00.0: detected 8060K stolen memory
[    1.473188] agpgart-intel 0000:00:00.0: AGP aperture is 128M @ 0xe0000000
[   43.071306] [drm] Initialized drm 1.1.0 20060810
[   43.180884] [drm] set up 7M of stolen space
[   43.639007] [drm] DAC-6: set mode 640x480 0
[   44.110309] fb0: inteldrmfb frame buffer device
[   44.110321] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   44.215572] [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
[   44.233614] [drm] LVDS-8: set mode 1024x768 d
[   44.480499] [drm] DAC-6: set mode 640x480 0
[   44.970044] [drm] DAC-6: set mode 640x480 0
[   45.566071] [drm] DAC-6: set mode 640x480 0
[   46.055466] [drm] DAC-6: set mode 640x480 0
[   73.909064] [drm] DAC-6: set mode  10
[   74.267326] [drm] LVDS-8: set mode  29
[ 5347.060343] [drm] LVDS-8: set mode 1024x768 d
[ 5349.593741] [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
[ 5349.611991] [drm] LVDS-8: set mode 1024x768 d
[ 5353.300948] [drm] LVDS-8: set mode  14
[ 5353.516211] [drm] DAC-6: set mode 640x480 0
[ 5354.007658] [drm] DAC-6: set mode 640x480 0


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                         2.10.2-2   GNU C Library: Shared libraries
ii  libdrm-intel1                 2.4.15-1   Userspace interface to intel-speci
ii  libdrm2                       2.4.15-1   Userspace interface to kernel DRM 
ii  libpciaccess0                 0.11.0-1   Generic PCI access library for X
ii  libxext6                      2:1.1.1-2  X11 miscellaneous extension librar
ii  libxfixes3                    1:4.0.4-1  X11 miscellaneous 'fixes' extensio
ii  libxv1                        2:1.0.5-1  X11 Video extension library
ii  libxvmc1                      2:1.0.5-1  X11 Video extension library
ii  xserver-xorg-core             2:1.7.4-2  Xorg X server - core server

xserver-xorg-video-intel recommends no packages.

xserver-xorg-video-intel suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#569135; Package xserver-xorg-video-intel. (Tue, 02 Mar 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Rhodes <csr21@cantab.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 02 Mar 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 569135@bugs.debian.org (full text, mbox):

From: Christophe Rhodes <csr21@cantab.net>
To: Debian Bug Tracking System <569135@bugs.debian.org>
Subject: xserver-xorg-video-intel: VGA output corruption still present with newer versions
Date: Tue, 02 Mar 2010 11:52:15 +0000
Package: xserver-xorg-video-intel
Version: 2:2.9.1-2
Severity: normal

Hi,

As suggested in <http://ikibiki.org/blog/2010/02/28/Where_have_you_been/>,
I upgraded my kernel to 2.6.32-3-686 and libdrm-intel1, xserver-xorg-core
and mesa packages to the latest versions in sid.  The problem I reported in
this bug -- flicker and display corruption on the external VGA display,
while the LVDS display remains fine -- is still present.

Please let me know if I can help further to isolate the problem.

Best,

Christophe
-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Nov  6  2006 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1712808 Feb 16 08:39 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 3376 Sep 20 17:51 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/X11R6/lib/X11/fonts/misc"
	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/X11R6/lib/X11/fonts/cyrillic"
	FontPath	"/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/X11R6/lib/X11/fonts/Type1"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc101"
	Option		"XkbLayout"	"gb"
	Option		"XkbOptions"	"ctrl:nocaps"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "InputDevice"
	Identifier	"Synaptics Touchpad"
	Driver		"synaptics"
	Option		"SendCoreEvents"	"true"
	Option		"Device"		"/dev/psaux"
	Option		"Protocol"		"auto-dev"
	Option		"HorizScrollDelta"	"0"
EndSection

Section "Device"
	Identifier	"Intel Corporation 82852/855GM Integrated Graphics Device"
	Driver		"intel"
	BusID		"PCI:0:2:0"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	Option		"DPMS"
	HorizSync	28-61
	VertRefresh	43-60
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"Intel Corporation 82852/855GM Integrated Graphics Device"
	Monitor		"Generic Monitor"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1024x768" "800x600" "640x480"
                Virtual         2048 1024
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
	InputDevice	"Synaptics Touchpad"
EndSection

Section "DRI"
	Mode	0666
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 71181 Jul 30  2007 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 23797 Jan  1 18:21 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 25982 Mar  2 11:43 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.5
Release Date: 2010-02-16
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-trunk-686 i686 Debian
Current Operating System: Linux omega 2.6.32-3-686 #1 SMP Thu Feb 25 06:14:20 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-3-686 root=UUID=408abe9e-7410-46f8-bf91-faea6ec38fac ro acpi_sleep=s3_bios quiet
Build Date: 16 February 2010  08:37:23AM
xorg-server 2:1.7.5-1 (bgoglin@debian.org) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Mar  2 11:41:39 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Generic Monitor"
(**) |   |-->Device "Intel Corporation 82852/855GM Integrated Graphics Device"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(**) |-->Input Device "Synaptics Touchpad"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/misc".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/misc").
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/cyrillic" does not exist.
	Entry deleted from font path.
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/100dpi/".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/100dpi/").
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/75dpi/".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/75dpi/").
(WW) The directory "/usr/X11R6/lib/X11/fonts/Type1" does not exist.
	Entry deleted from font path.
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/100dpi".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/100dpi").
(WW) `fonts.dir' not found (or not valid) in "/usr/X11R6/lib/X11/fonts/75dpi".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/75dpi").
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Generic Keyboard
(WW) Disabling Configured Mouse
(II) Loader magic: 0x81e7020
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:0:2:0) 8086:3582:1014:0557 Intel Corporation 82852/855GM Integrated Graphics Device rev 2, Mem @ 0xe0000000/134217728, 0xd0000000/524288, I/O @ 0x00001800/8
(--) PCI: (0:0:2:1) 8086:3582:1014:0557 Intel Corporation 82852/855GM Integrated Graphics Device rev 2, Mem @ 0xe8000000/134217728, 0xd0080000/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded by default.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded by default.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri2" will be loaded by default.
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules/libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 2.9.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 1.2.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, Clarkdale, Arrandale
(II) Primary Device is: PCI 00@00:02:0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(**) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) 855GME
(--) intel(0): Chipset: "852GM/855GM"
(II) intel(0): Output VGA1 using monitor section Generic Monitor
(II) intel(0): Output LVDS1 has no monitor section
(II) intel(0): found backlight control interface /sys/class/backlight/thinkpad_screen
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Not using default mode "320x175" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x200" (doublescan mode not supported)
(II) intel(0): Not using default mode "360x200" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "1024x768" (interlace mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1792x1344" (height too large for virtual size)
(II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
(II) intel(0): Not using default mode "1792x1344" (height too large for virtual size)
(II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
(II) intel(0): Not using default mode "1856x1392" (height too large for virtual size)
(II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
(II) intel(0): Not using default mode "1856x1392" (height too large for virtual size)
(II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "416x312" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1080" (height too large for virtual size)
(II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1200" (height too large for virtual size)
(II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1024x768"x50.0   54.17  1024 1048 1184 1344  768 771 777 806 (40.3 kHz)
(II) intel(0): Modeline "1024x768"x85.0   94.50  1024 1072 1168 1376  768 769 772 808 +hsync +vsync (68.7 kHz)
(II) intel(0): Modeline "1024x768"x75.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1024x768"x70.1   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "832x624"x74.6   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz)
(II) intel(0): Modeline "800x600"x85.1   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x85.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x85.0   35.50  720 756 828 936  400 401 404 446 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x400"x85.1   31.50  640 672 736 832  400 401 404 445 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz)
(II) intel(0): Output VGA1 disconnected
(II) intel(0): Output LVDS1 connected
(II) intel(0): Using user preference for initial modes
(II) intel(0): Output LVDS1 using initial mode 1024x768
(II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(==) Depth 24 pixmap format is 32 bpp
(II) intel(0): [DRI2] Setup complete
(**) intel(0): Kernel mode setting active, disabling FBC.
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(==) intel(0): VideoRam: 131072 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): Tiled allocation successful.
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): No memory allocations
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(**) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder disabled
(WW) intel(0): Disabling Xv because no adaptors could be initialized.
(II) intel(0): direct rendering: DRI2 Enabled
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
record: RECORD extension enabled at configure time.
record: This extension is known to be broken, disabling extension now..
record: http://bugs.freedesktop.org/show_bug.cgi?id=20500
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_make_current_read
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
(II) AIGLX: Loaded and initialized /usr/lib/dri/i915_dri.so
(II) GLX: Initialized DRI2 GL provider for screen 0
(II) intel(0): Setting screen physical size to 270 x 203
(II) intel(0): Allocate new frame buffer 1024x768 stride 1024
(II) Synaptics touchpad driver version 1.2.1
Synaptics Touchpad no synaptics event device found
(**) Option "Device" "/dev/psaux"
(**) Option "HorizScrollDelta" "0"
Query no Synaptics: 6003C8
(--) Synaptics Touchpad: no supported touchpad found
(EE) Synaptics Touchpad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "Synaptics Touchpad"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device "Power Button" (/dev/input/event3)
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) "Power Button": always reports core events
(**) "Power Button": Device: "/dev/input/event3"
(II) "Power Button": Found keys
(II) "Power Button": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Power Button"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) config/udev: Adding input device "Video Bus" (/dev/input/event4)
(**) "Video Bus": always reports core events
(**) "Video Bus": Device: "/dev/input/event4"
(II) "Video Bus": Found keys
(II) "Video Bus": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Video Bus"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) config/udev: Adding input device "Sleep Button" (/dev/input/event2)
(**) "Sleep Button": always reports core events
(**) "Sleep Button": Device: "/dev/input/event2"
(II) "Sleep Button": Found keys
(II) "Sleep Button": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Sleep Button"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) config/udev: Adding input device "AT Translated Set 2 keyboard" (/dev/input/event0)
(**) "AT Translated Set 2 keyboard": always reports core events
(**) "AT Translated Set 2 keyboard": Device: "/dev/input/event0"
(II) "AT Translated Set 2 keyboard": Found keys
(II) "AT Translated Set 2 keyboard": Configuring as keyboard
(II) XINPUT: Adding extended input device ""AT Translated Set 2 keyboard"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) config/udev: Adding input device "TPPS/2 IBM TrackPoint" (/dev/input/event6)
(**) "TPPS/2 IBM TrackPoint": always reports core events
(**) "TPPS/2 IBM TrackPoint": Device: "/dev/input/event6"
(II) "TPPS/2 IBM TrackPoint": Found 3 mouse buttons
(II) "TPPS/2 IBM TrackPoint": Found relative axes
(II) "TPPS/2 IBM TrackPoint": Found x and y relative axes
(II) "TPPS/2 IBM TrackPoint": Configuring as mouse
(**) "TPPS/2 IBM TrackPoint": YAxisMapping: buttons 4 and 5
(**) "TPPS/2 IBM TrackPoint": EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device ""TPPS/2 IBM TrackPoint"" (type: MOUSE)
(**) "TPPS/2 IBM TrackPoint": (accel) keeping acceleration scheme 1
(**) "TPPS/2 IBM TrackPoint": (accel) acceleration profile 0
(II) "TPPS/2 IBM TrackPoint": initialized for relative axes.
(II) config/udev: Adding input device "TPPS/2 IBM TrackPoint" (/dev/input/mouse0)
(**) "TPPS/2 IBM TrackPoint": always reports core events
(**) "TPPS/2 IBM TrackPoint": Device: "/dev/input/mouse0"
(EE) ioctl EVIOCGNAME failed: Inappropriate ioctl for device
(II) UnloadModule: "evdev"
(EE) PreInit returned NULL for ""TPPS/2 IBM TrackPoint""
(II) config/udev: Adding input device "ThinkPad Extra Buttons" (/dev/input/event7)
(**) "ThinkPad Extra Buttons": always reports core events
(**) "ThinkPad Extra Buttons": Device: "/dev/input/event7"
(II) "ThinkPad Extra Buttons": Found keys
(II) "ThinkPad Extra Buttons": Configuring as keyboard
(II) XINPUT: Adding extended input device ""ThinkPad Extra Buttons"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc101"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "lv3:ralt_switch,ctrl:nocaps"
(II) intel(0): Allocate new frame buffer 2048x768 stride 2048
(II) intel(0): Allocate new frame buffer 1024x768 stride 1024

udev information:
P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:64 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1/event1
N: input/event1
S: char/13:65
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=IBM
E: DEVLINKS=/dev/char/13:65

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:66
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:67
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:68
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

P: /devices/platform/pcspkr/input/input5/event5
N: input/event5
S: char/13:69
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=IBM
E: DEVLINKS=/dev/char/13:69 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/platform/i8042/serio1/input/input6/event6
N: input/event6
S: char/13:70
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: x11_driver=evdev
E: DMI_VENDOR=IBM
E: DEVLINKS=/dev/char/13:70 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/virtual/input/input7/event7
N: input/event7
S: char/13:71
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc101
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/char/13:71
E: XKBOPTIONS=lv3:ralt_switch,ctrl:nocaps
E: x11_driver=evdev
E: DMI_VENDOR=IBM

DRM Information from dmesg:
[    2.446857] Linux agpgart interface v0.103
[    2.876771] agpgart-intel 0000:00:00.0: Intel 855GM Chipset
[    2.877714] agpgart-intel 0000:00:00.0: detected 8060K stolen memory
[    2.879785] agpgart-intel 0000:00:00.0: AGP aperture is 128M @ 0xe0000000
[    3.017394] [drm] Initialized drm 1.1.0 20060810
[    4.648905] [drm] set up 7M of stolen space
[    5.197357] [drm] DAC-6: set mode 640x480 0
[    5.755009] [drm] LVDS-8: set mode 1024x768 d
[    5.827327] fb0: inteldrmfb frame buffer device
[    5.827405] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   47.809158] [drm] DAC-6: set mode 640x480 0
[   48.298574] [drm] DAC-6: set mode 640x480 0
[   48.792496] [drm] DAC-6: set mode 640x480 0
[   49.281854] [drm] DAC-6: set mode 640x480 0
[   70.054067] [drm] DAC-6: set mode 640x480 0
[   70.544269] [drm] DAC-6: set mode 640x480 0
[   84.257624] [drm] DAC-6: set mode 640x480 0
[   84.747096] [drm] DAC-6: set mode 640x480 0
[   85.245182] [drm] DAC-6: set mode 640x480 0
[   85.735057] [drm] DAC-6: set mode 640x480 0
[   86.289076] [drm] DAC-6: set mode 640x480 0
[   86.778577] [drm] DAC-6: set mode 640x480 0
[  127.939314] [drm] DAC-6: set mode  10
[  168.159743] [drm] DAC-6: set mode  10
[  168.516569] [drm] LVDS-8: set mode 1024x768 d
[  192.423144] [drm] DAC-6: set mode 640x480 0
[  192.912879] [drm] DAC-6: set mode 640x480 0
[  586.659813] [drm] DAC-6: set mode 640x480 0
[  587.149480] [drm] DAC-6: set mode 640x480 0
[  587.645930] [drm] DAC-6: set mode 640x480 0
[  588.141913] [drm] DAC-6: set mode 640x480 0
[  595.826704] [drm] DAC-6: set mode 640x480 0
[  596.316525] [drm] DAC-6: set mode 640x480 0
[  596.814833] [drm] DAC-6: set mode 640x480 0
[  597.304402] [drm] DAC-6: set mode 640x480 0
[  597.801137] [drm] DAC-6: set mode 640x480 0
[  598.290685] [drm] DAC-6: set mode 640x480 0
[  623.260201] [drm] DAC-6: set mode  16


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libdrm-intel1                 2.4.18-2   Userspace interface to intel-speci
ii  libdrm2                       2.4.18-2   Userspace interface to kernel DRM 
ii  libpciaccess0                 0.11.0-1   Generic PCI access library for X
ii  libxext6                      2:1.1.1-2  X11 miscellaneous extension librar
ii  libxfixes3                    1:4.0.4-1  X11 miscellaneous 'fixes' extensio
ii  libxv1                        2:1.0.5-1  X11 Video extension library
ii  libxvmc1                      2:1.0.5-1  X11 Video extension library
ii  xserver-xorg-core             2:1.7.5-1  Xorg X server - core server

xserver-xorg-video-intel recommends no packages.

xserver-xorg-video-intel suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#569135; Package xserver-xorg-video-intel. (Tue, 02 Mar 2010 22:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Rhodes <csr21@cantab.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 02 Mar 2010 22:48:12 GMT) Full text and rfc822 format available.

Message #15 received at 569135@bugs.debian.org (full text, mbox):

From: Christophe Rhodes <csr21@cantab.net>
To: Debian Bug Tracking System <569135@bugs.debian.org>
Subject: Re: xserver-xorg-video-intel: VGA output corruption still present with newer versions
Date: Tue, 02 Mar 2010 22:45:13 +0000
Christophe Rhodes <csr21@cantab.net> writes:

> Please let me know if I can help further to isolate the problem.

Additionally, I tested my setup with the kernel from experimental,
version 2.6.33-2-686; the same problem persisted.

Best,

Christophe




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#569135; Package xserver-xorg-video-intel. (Tue, 02 Mar 2010 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 02 Mar 2010 23:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 569135@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Christophe Rhodes <csr21@cantab.net>, 569135@bugs.debian.org
Subject: Re: Bug#569135: xserver-xorg-video-intel: VGA output corruption still present with newer versions
Date: Wed, 3 Mar 2010 00:24:18 +0100
[Message part 1 (text/plain, inline)]
Christophe Rhodes <csr21@cantab.net> (02/03/2010):
> Additionally, I tested my setup with the kernel from experimental,
> version 2.6.33-2-686; the same problem persisted.

Thanks,

at this point, I think the best way is to report this bug upstream
directly, following those instructions:

  http://intellinuxgraphics.org/how_to_report_bug.html

You're welcome to Cc me while doing so, so that I can update the
status of this bug accordingly.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#569135; Package xserver-xorg-video-intel. (Wed, 08 Sep 2010 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Rhodes <csr21@cantab.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 08 Sep 2010 22:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 569135@bugs.debian.org (full text, mbox):

From: Christophe Rhodes <csr21@cantab.net>
To: 569135@bugs.debian.org
Subject: problem gone away by linux v2.6.36-rc3
Date: Wed, 08 Sep 2010 23:12:58 +0100
Hi,

A note to let you know that I've tested the vanilla kernel, and at least
v2.6.36-rc3 seems free of the VGA corruption that led me to write this
bug report.  (that kernel version suffers instead from a couple of other
bugs on my graphics card: no mouse cursor until the first suspend/resume
cycle, and 600ms freezes every 10 seconds -- I believe that at least the
second of these is fixed in the git tip beyond 2.6.36-rc3.

This means that the problem described in this bug is now solved for my
purposes; unfortunately, it doesn't mean that the problem is solved in
squeeze...

Best wishes,

Christophe




Bug reassigned from package 'xserver-xorg-video-intel' to 'linux-2.6'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 22:57:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xserver-xorg-video-intel/2:2.9.1-2. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 22:57:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-9. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 22:57:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 22:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#569135; Package linux-2.6. (Thu, 11 Aug 2011 05:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 11 Aug 2011 05:09:03 GMT) Full text and rfc822 format available.

Message #38 received at 569135@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Christophe Rhodes <csr21@cantab.net>
Cc: 569135@bugs.debian.org
Subject: Re: xserver-xorg-video-intel: corruption on external VGA display
Date: Thu, 11 Aug 2011 00:04:59 -0500
Hi Christophe,

Christophe Rhodes wrote:

> A note to let you know that I've tested the vanilla kernel, and at least
> v2.6.36-rc3 seems free of the VGA corruption that led me to write this
> bug report.
[...]
> This means that the problem described in this bug is now solved for my
> purposes; unfortunately, it doesn't mean that the problem is solved in
> squeeze...

Thanks for the nice report last year.  There have been some fixes in
this area of the kernel in squeeze since then, so if you get a chance
to test a recent 2.6.32.y kernel, that would be interesting.

Ciao,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#569135; Package linux-2.6. (Wed, 17 Aug 2011 11:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Rhodes <csr21@cantab.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Aug 2011 11:42:13 GMT) Full text and rfc822 format available.

Message #43 received at 569135@bugs.debian.org (full text, mbox):

From: Christophe Rhodes <csr21@cantab.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 569135@bugs.debian.org
Subject: Re: xserver-xorg-video-intel: corruption on external VGA display
Date: Wed, 17 Aug 2011 12:38:40 +0100
Jonathan Nieder <jrnieder@gmail.com> writes:

> Hi Christophe,
>
> Christophe Rhodes wrote:
>
>> A note to let you know that I've tested the vanilla kernel, and at least
>> v2.6.36-rc3 seems free of the VGA corruption that led me to write this
>> bug report.
> [...]
>> This means that the problem described in this bug is now solved for my
>> purposes; unfortunately, it doesn't mean that the problem is solved in
>> squeeze...
>
> Thanks for the nice report last year.  There have been some fixes in
> this area of the kernel in squeeze since then, so if you get a chance
> to test a recent 2.6.32.y kernel, that would be interesting.

I've just tested Debian version 2.6.32-5-686 (which I think corresponds
roughly with 2.6.32.41, at least according to changelog.Debian.gz).
Unfortunately the corruption on the external display is still present
under the same conditions (no corruption when nothing changes on either
display; large corruptions on motion).  Is that a recent enough kernel
for the test to be interesting, or should I be building my own using
higher patches (i.e. is there relevant stuff between .41 and .45 that I
should be looking at?  A quick grep for "i915" didn't suggest so, but I
could be wrong.)

Thanks,

Christophe




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#569135; Package linux-2.6. (Thu, 18 Aug 2011 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 05:39:03 GMT) Full text and rfc822 format available.

Message #48 received at 569135@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Christophe Rhodes <csr21@cantab.net>
Cc: 569135@bugs.debian.org
Subject: Re: xserver-xorg-video-intel: corruption on external VGA display
Date: Thu, 18 Aug 2011 00:34:10 -0500
fixed 569135 linux-2.6/2.6.36~rc5-1~experimental.1
found 569135 linux-2.6/2.6.32-35
quit

Christophe Rhodes wrote:

> I've just tested Debian version 2.6.32-5-686 (which I think corresponds
> roughly with 2.6.32.41, at least according to changelog.Debian.gz).
> Unfortunately the corruption on the external display is still present
> under the same conditions (no corruption when nothing changes on either
> display; large corruptions on motion).  Is that a recent enough kernel
> for the test to be interesting, or should I be building my own using
> higher patches

Thanks for checking.  Yep, I don't know of any drm fixes backported
since then worth mentioning here.

Could you get output from dmesg at bootup and when triggering the
corruption with drm.debug=0x6 on the kernel command line?




Bug Marked as fixed in versions linux-2.6/2.6.36~rc5-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 05:39:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.32-35. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 05:39:05 GMT) Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Wed, 05 Jun 2013 17:06:08 GMT) Full text and rfc822 format available.

Notification sent to Christophe Rhodes <csr21@cantab.net>:
Bug acknowledged by developer. (Wed, 05 Jun 2013 17:06:08 GMT) Full text and rfc822 format available.

Message #57 received at 569135-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Christophe Rhodes <csr21@cantab.net>
Cc: 569135-done@bugs.debian.org
Subject: Re: problem gone away by linux v2.6.36-rc3
Date: Wed, 5 Jun 2013 19:01:18 +0200
Version: 2.6.36-1

On Wed, Sep 08, 2010 at 11:12:58PM +0100, Christophe Rhodes wrote:
> Hi,
> 
> A note to let you know that I've tested the vanilla kernel, and at least
> v2.6.36-rc3 seems free of the VGA corruption that led me to write this
> bug report.  (that kernel version suffers instead from a couple of other
> bugs on my graphics card: no mouse cursor until the first suspend/resume
> cycle, and 600ms freezes every 10 seconds -- I believe that at least the
> second of these is fixed in the git tip beyond 2.6.36-rc3.
> 
> This means that the problem described in this bug is now solved for my
> purposes; unfortunately, it doesn't mean that the problem is solved in
> squeeze...

I'm closing this bug. We'll only backport security and small, isolated
fixes to the Squeeze kernel now that Wheezy is released.

Cheers,
        Moritz






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 04 Jul 2013 07:33:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:36:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.